Subject: Re: [PATCH v2] git-rebase.txt: use back-ticks consistently

From: Junio C Hamano <[email-masked]>
Date: Tue, 28 Jun 2022 14:49:38 -0700

"Derrick Stolee via GitGitGadget" <[email-masked]> writes:

> -apply backend: When applying a patch, ignore changes in whitespace in
> -context lines. Unfortunately, this means that if the "old" lines being
> -replaced by the patch differ only in whitespace from the existing
> -file, you will get a merge conflict instead of a successful patch
> -application.
> +apply backend:;;

Hmph, I am surprised that you took this, with an extra colon.  Does
it format nicely?

> +	When applying a patch, ignore changes in whitespace in context
> +	lines. Unfortunately, this means that if the "old" lines being
> +	replaced by the patch differ only in whitespace from the existing
> +	file, you will get a merge conflict instead of a successful patch
> +	application.
>  +
> -merge backend: Treat lines with only whitespace changes as unchanged
> -when merging. Unfortunately, this means that any patch hunks that were
> -intended to modify whitespace and nothing else will be dropped, even
> -if the other side had no changes that conflicted.
> +merge backend:;;
> +	Treat lines with only whitespace changes as unchanged when merging.
> +	Unfortunately, this means that any patch hunks that were intended
> +	to modify whitespace and nothing else will be dropped, even if the
> +	other side had no changes that conflicted.
>  
>  --whitespace=<option>::
> -	This flag is passed to the 'git apply' program
> +	This flag is passed to the `git apply` program
>  	(see linkgit:git-apply[1]) that applies the patch.
> -	Implies --apply.
> +	Implies `--apply`.
>  +
>  See also INCOMPATIBLE OPTIONS below.
>  
> @@ -537,7 +539,7 @@ See also REBASING MERGES and INCOMPATIBLE OPTIONS below.
>  -x <cmd>::
>  --exec <cmd>::
>  	Append "exec <cmd>" after each line creating a commit in the

I thought `exec <cmd>` was an improvement, just like ...

> -If `--autosquash` is used, "exec" lines will not be appended for
> +If `--autosquash` is used, `exec` lines will not be appended for

... this is?

Other than that, looking good.

Thanks.